Skip to main content
POST
/
transfer
/
fees
/
crypto-withdrawal
Create Crypto Withdrawal Fee
curl --request POST \
  --url https://api.paxos.com/v2/transfer/fees/crypto-withdrawal \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "asset": "ETH",
  "amount": "0.00005",
  "destination_address": "0xF0Aa84466e353E5390be37FE2934301c07c19a55",
  "crypto_network": "ETHEREUM"
}
'
{
  "id": "34bd61ed-cf0a-4012-8be4-d347667b6154",
  "fee": "0.00005",
  "asset": "ETH",
  "amount": "0.001",
  "expires_at": "2021-02-10T23:00:00Z",
  "destination_address": "0xF0Aa84466e353E5390be37FE2934301c07c19a55",
  "crypto_network": "ETHEREUM"
}
OAuth Scope
fee:write_crypto_withdrawal_fee

Authorizations

Authorization
string
header
required

Paxos APIs use OAuth 2 with the client credentials grant flow.

Token URLs:

Learn more in the API credentials guide →

Body

application/json
asset
string
required

The currency to withdraw.

destination_address
string
required

The destination address.

crypto_network
enum<string>
required

A CryptoNetwork is a blockchain transmitting cryptocurrencies.

Available options:
BITCOIN,
ETHEREUM,
BITCOIN_CASH,
LITECOIN,
SOLANA,
POLYGON_POS,
BASE,
ARBITRUM_ONE,
STELLAR,
INK,
XLAYER
amount
string

The amount to withdraw. Must be greater than 0. Specify exactly one of amount or total, otherwise an error is returned.

Pattern: ^[0-9]*\.?[0-9]+$
total
string

Total amount to withdraw, including fees. Must be greater than 0. Specify exactly one of total or amount, otherwise an error is returned.

Pattern: ^[0-9]*\.?[0-9]+$

Response

200 - application/json

A successful response.

id
string
required

The id of the guaranteed fee.

fee
string
required

The guaranteed fee value, in the same currency.

Pattern: ^[0-9]*\.?[0-9]+$
asset
string
required

The currency to withdraw.

expires_at
string<date-time>
required

The expiration timestamp of the created fee.

destination_address
string
required

The destination address.

crypto_network
enum<string>
required

A CryptoNetwork is a blockchain transmitting cryptocurrencies.

Available options:
BITCOIN,
ETHEREUM,
BITCOIN_CASH,
LITECOIN,
SOLANA,
POLYGON_POS,
BASE,
ARBITRUM_ONE,
STELLAR,
INK,
XLAYER
amount
string

The quoted amount to withdraw for which the fee is valid. Specify exactly one of amount or total, otherwise an error is returned.

Pattern: ^[0-9]*\.?[0-9]+$
total
string

Total amount to withdraw, including fees. Specify exactly one of amount or total, otherwise an error is returned.

Pattern: ^[0-9]*\.?[0-9]+$